<div id="content">
    <div class="row">
        <div class="col-sm-12">
            <app-book-loader *ngIf="isLoading"></app-book-loader>

            <div *ngIf="!isLoading" style="text-align:center; margin-bottom: 20px; margin-top: 10px;">
                <!--<h1> Welcome to Bookgram! </h1>-->
                <h3> Create new shelf </h3>

            </div>
            <form *ngIf="!isLoading" [formGroup]="form" (submit)="onSubmit(form.value)">
                <div class="form-group form-row">

                    <label for="name">Name of shelf</label>
                    <input type="text " class="form-control " id="name" placeholder="Name of shelf" formControlName="name">

                </div>
                <div class="form-group form-row" style="margin-left: 2px; margin-bottom: 2px; font-size: 15px;">
                    <p *ngIf="error"> *{{ error }} </p>
                </div>
                <div class="form-group" style="text-align: center;">
                    <button type="submit" class="btn btn-dark" [disabled]="!this.form.valid">Save</button>
                </div>
            </form>
        </div>
    </div>
</div>
